A mechanism for including multiple instances of a single field in a GraphQL operation. This enables you to provide different argument values to each instance.

In this example, `admins` and `managers` are both aliases of the `users` field:

```graphql disableCopy
query AdminsAndManagers {
  admins: users(role: "admin") {
    id
    firstname
    lastname
  }
  managers: users(role: "manager") {
    id
    firstname
    lastname
  }
}
```
