A declaration prefixed with `@` that you apply to various locations in a GraphQL schema or operation:

```graphql
type User {
  username: String! @lowerCase
}
```

A directive usually has some associated logic that modifies the behavior of the associated location. For example, the `@lowerCase` directive above might define logic to always convert the `username` field to lower case before returning it.

GraphQL includes some built-in directives (such as `@deprecated`), and you can also define [custom directives](https://www.apollographql.com/docs/apollo-server/v3/schema/creating-directives/).
