A technique used to optimize and secure GraphQL API requests. When clients make GraphQL requests, they typically send the entire query as a string in the request body. This can result in large request payloads and potential security vulnerabilities, as attackers might try to send malicious or resource-intensive queries.

Persisted queries address these issues by pre-processing and storing GraphQL queries on the server side. Instead of sending the entire GraphQL query in the request, the client sends a unique identifier or hash that represents the query. This hash is generated based on the query's content.

Apollo supports two types of persisted queries:

- [Automatic persisted queries](https://www.apollographql.com/docs/router/configuration/in-memory-caching#caching-automatic-persisted-queries-apq)
- [Preregistered persisted queries](https://www.apollographql.com/docs/graphos/operations/persisted-queries/)

Check out [the docs](https://www.apollographql.com/docs/graphos/operations/persisted-queries/#differences-from-automatic-persisted-queries) to learn the differences and use cases.
