A value that can be passed to an operation. Variables can be used to fill arguments, or be passed to directives.

```graphql disableCopy
query GetUser($userId: ID!) {
  user(id: $userId) {
    firstName
  }
}
```

In the query above, `userId` is a variable. The variable and its type are declared in the operation signature, signified by a `$`. The type of the variable here is a non-nullable `ID`. A variable's type must match the type of any argument it's used for.
